#include<bits/stdc++.h>
using namespace std;
int brojcif(unsigned long long n,int *p)
{
    int rez=1;
    while(n>9)
    {
        rez++;
        n=n/10;
    }
    *p=n;
    return rez;
}
int najveci(int a[],int p)
{
    for(int i=0;i<3;i++)
    {
        if(a[i]>p)
        {
            return a[i-1];
        }
    }
}
int main()
{
   unsigned long long n;
    int rez=0,p=0;
    int a[3]={1,2,5};
    cin>>n;
    while(n>0)
    {
        n=n-pow(10,brojcif(n,&p)-1)*najveci(a,p);
        rez++;
    }
    cout<<rez<<endl;
    return 0;
}